#
# spec file for package aaa_base
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           aaa_base
Version:        11.4
Release:        21
License:        GPLv2+
Group:          System/Fhs
Provides:       bin bootutls etc skeleng skelger 
Provides:       aaa_skel = %{version}-%{release}
Obsoletes:      aaa_skel < %{version}
Requires:       filesystem distribution-release /bin/mktemp /usr/bin/find /usr/bin/tput /usr/bin/xargs mingetty /bin/login cpio psmisc
Recommends:     cron logrotate netcfg udev net-tools aaa_base-extras
PreReq:         /usr/bin/sed /usr/bin/grep /bin/mv /bin/cat /bin/ls /bin/date /usr/bin/cmp /bin/fillup /sbin/insserv
AutoReqProv:    on
Summary:        SUSE Linux Base Package
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         aaa_base.tar.bz2
Source5:        arch_special.tar.bz2
Source7:        sysconfig_parts.tar.bz2
Source8:        get_kernel_version.c
Source20:       aaa_base-rpmlintrc
Source21:       aaa_base.pre
Source22:       aaa_base.post

%description
This package installs several important configuration files. Central
scripts like SuSEconfig are also in this package.

%package extras
License:        GPLv2+
Summary:        SUSE Linux Base Package (recommended part)
Group:          System/Fhs
Requires:       %{name} = %{version}
Provides:       aaa_base:/etc/DIR_COLORS

%description extras
The parts of aaa_base that should be installed by default but are not
strictly required to run a system. (Shell aliases, bash completions
and convenience hacks).

%prep
%setup -n aaa_base -b 5 -b 7

cd ..
mkdir -p scripts
cp -v %{SOURCE21} scripts
cp -v %{SOURCE22} scripts

cd $RPM_SOURCE_DIR

%build
gcc -Wl,-z,relro,-z,now $RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 $RPM_SOURCE_DIR/get_kernel_version.c -o $RPM_SOURCE_DIR/get_kernel_version

%install
install -d -m 700 root
# make sure it does not creep in again
test -d ../aaa_base/root/.gnupg && exit 1
cp -a ../aaa_base/* $RPM_BUILD_ROOT
# for the release
#rm $RPM_BUILD_ROOT/etc/profile.d/malloc-debug.*
cp $RPM_SOURCE_DIR/get_kernel_version $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
for i in $RPM_BUILD_DIR/sysconfig_parts/sysconfig.* ; do
  cp $i $RPM_BUILD_ROOT/var/adm/fillup-templates/
done
#
## do arch specific patches BEGIN
#
pushd $RPM_BUILD_ROOT
test -d $RPM_BUILD_DIR/arch_special/$RPM_ARCH && \
  {
    for file in $RPM_BUILD_DIR/arch_special/$RPM_ARCH/* ; do
        patch -p0 --input=$file
    done
  }
#
# delete .orig files
#
find $RPM_BUILD_ROOT -name "*.orig" | xargs -r rm
popd
#
## do arch specific patches END
#
#
# mark these as ghost
for i in passwd group shadow gshadow ; do
  touch $RPM_BUILD_ROOT/var/adm/fillup-templates/$i.aaa_base
done

%pre -f ../scripts/aaa_base.pre

%post -f ../scripts/aaa_base.post

%postun
%insserv_cleanup

%triggerpostun -- aaa_base
if test -f /root/.gnupg/secring.gpg.aaa_save -a ! -f /root/.gnupg/secring.gpg ; then
   mv /root/.gnupg/secring.gpg.aaa_save /root/.gnupg/secring.gpg
fi
rm -f /root/.gnupg/secring.gpg.aaa_save

%files
%defattr(-,root,root)
%config(noreplace) /etc/inittab
%config /etc/bash.bashrc
%config /etc/csh.cshrc
%config /etc/csh.login
%config /etc/inputrc
%config /etc/mailcap
%config /etc/mime.types
%config /etc/profile
%config /etc/profile.d/alljava.csh
%config /etc/profile.d/alljava.sh
%config /etc/profile.d/csh.ssh
%config /etc/profile.d/csh.utf8
%config /etc/profile.d/lang.csh
%config /etc/profile.d/lang.sh
%config /etc/profile.d/malloc-debug.sh
%config /etc/profile.d/malloc-debug.csh
%config /etc/profile.d/profile.csh
%config /etc/profile.d/profile.sh
%config /etc/profile.d/sh.ssh
%config /etc/profile.d/sh.utf8
%config /etc/profile.d/xdg-environment.csh
%config /etc/profile.d/xdg-environment.sh
%config /etc/rc.splash
%config /etc/rc.status
%config /etc/shells
%config /etc/ttytype
%config /etc/init.d/boot
%config /etc/init.d/halt
%config /etc/init.d/powerfail
%config /etc/init.d/random
%config /etc/init.d/single
%ghost /var/adm/fillup-templates/passwd.aaa_base
%ghost /var/adm/fillup-templates/group.aaa_base
%ghost /var/adm/fillup-templates/gshadow.aaa_base
%ghost /var/adm/fillup-templates/shadow.aaa_base
# don't forget to also change aaa_base.post, boot.cleanup
# and /etc/permissions!
%ghost %attr(0644,root,root) %verify(not md5 size mtime) /var/log/lastlog
%ghost %attr(0600,root,root) %verify(not md5 size mtime) /var/log/faillog
%ghost %attr(0664,root,utmp) %verify(not md5 size mtime) /var/log/wtmp
%ghost %attr(0600,root,root) %verify(not md5 size mtime) /var/log/btmp
%ghost %attr(0664,root,utmp) %verify(not md5 size mtime) /var/run/utmp
/etc/cron.daily/suse.de-clean-tmp
/etc/hushlogins
/etc/init.d/boot.cleanup
/etc/init.d/boot.clock
/etc/init.d/boot.cgroup
/etc/init.d/boot.ipconfig
/etc/init.d/boot.klog
/etc/init.d/boot.ldconfig
/etc/init.d/boot.loadmodules
/etc/init.d/boot.localfs
/etc/init.d/boot.localnet
/etc/init.d/boot.proc
/etc/init.d/boot.rootfsck
/etc/init.d/boot.swap
/etc/init.d/rc
/etc/init.d/reboot
/etc/tmpdirs.d/01_aaa_base
/lib/YaST/SuSEconfig.functions
/sbin/chkconfig
/sbin/get_kernel_version
/sbin/refresh_initrd
/sbin/service
/sbin/smart_agetty
/sbin/SuSEconfig
/usr/bin/ChangeSymlinks
/usr/bin/filesize
/usr/bin/mkinfodir
/usr/bin/old
/usr/bin/rpmlocate
/usr/bin/safe-rm
/usr/bin/safe-rmdir
/usr/bin/setJava
/usr/lib/restricted/bin/hostname
/usr/sbin/Check
/usr/sbin/rcpowerfail
/usr/sbin/rcrandom
/usr/sbin/rcsingle
/usr/sbin/sysconf_addword
/usr/share/man/man1/smart_agetty.1*
/usr/share/man/man5/defaultdomain.5*
/usr/share/man/man8/chkconfig.8*
/usr/share/man/man8/safe-rm.8*
/usr/share/man/man8/safe-rmdir.8*
/usr/share/man/man8/service.8*
/usr/share/man/man8/SuSEconfig.8*
/var/adm/fillup-templates/sysconfig.backup
/var/adm/fillup-templates/sysconfig.boot
/var/adm/fillup-templates/sysconfig.clock
/var/adm/fillup-templates/sysconfig.cron
/var/adm/fillup-templates/sysconfig.kernel
/var/adm/fillup-templates/sysconfig.language
/var/adm/fillup-templates/sysconfig.news
/var/adm/fillup-templates/sysconfig.proxy
/var/adm/fillup-templates/sysconfig.shutdown
/var/adm/fillup-templates/sysconfig.suseconfig
/var/adm/fillup-templates/sysconfig.sysctl
/var/adm/fillup-templates/sysconfig.windowmanager

%files extras
%defattr(-,root,root)
%config(noreplace) /etc/DIR_COLORS
/etc/cron.daily/suse.de-backup-rc.config
/etc/cron.daily/suse.de-backup-rpmdb
/etc/cron.daily/suse.de-check-battery
/etc/cron.daily/suse.de-cron-local
/etc/skel/.emacs
/etc/skel/.inputrc
/etc/java/README
%config /etc/profile.d/complete.bash
%config /etc/profile.d/alias.ash
/etc/profile.d/alias.bash
/etc/profile.d/alias.tcsh
/etc/profile.d/ls.tcsh
/etc/profile.d/ls.bash
/etc/init.d/skeleton
/etc/init.d/skeleton.compat
%config(noreplace) /root/.exrc
%config /sbin/quick_halt
/sbin/quick_poweroff
/sbin/quick_reboot
/usr/sbin/setDefaultJava
/usr/share/man/man7/init.d.7*
/usr/share/man/man5/route.conf.5*
/usr/share/man/man8/resolv+.8*
/usr/share/man/man8/quick_halt.8*

%changelog
